<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/xinkong">

    <!-- 使用 Guideline 定位在屏幕 45% 的位置（中心往上） -->
    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.35" />

    <com.wall.turing.wallpapers.uutils.CustomText
        android:id="@+id/textview_appname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:shadowColor="@color/cosmic_cyan"
        android:shadowDx="0"
        android:shadowDy="0"
        android:shadowRadius="15"
        android:text="@string/app_name"
        android:textColor="@color/star_white"
        android:textSize="30sp"
        app:apply_font="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/guideline_text" />

    <ProgressBar
        android:id="@+id/progressbar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="48dp"
        android:indeterminate="true"
        android:indeterminateTint="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>
